import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicGkPvp {
    readonly war_id: number;
    readonly dispatchJsonId: number;
    readonly bg_img_id: number;
    readonly warType: number;
}

export const dicGkPvp = new Map<number, DicGkPvp>();
export const dicGkPvps = new Array<number>();
export function loadGkPvp() {
    dicGkPvps.splice(0, dicGkPvps.length);
    let arr = readFileAndParse(FILENAME.DIC_GK_PVP);

    arr.forEach(o => {
        dicGkPvp.set(o.war_id, o);
        dicGkPvps.push(o.war_id);
    });
    arr = undefined;
}
